<%@ Page Language="C#" AutoEventWireup="true" %>

<%@ Register assembly="Telerik.Web.UI" namespace="Telerik.Web.UI" tagprefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    private const string ProviderSessionKey = "Telerik.Web.Examples.Scheduler.XmlSchedulerProvider.DefaultCS";

    protected void Page_Init(object sender, EventArgs e)
    {
        XmlSchedulerProvider provider;
        if ((Session[ProviderSessionKey] == null) || (!IsPostBack))
        {
            provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), false);
            Session[ProviderSessionKey] = provider;
        }
        else
        {
            provider = (XmlSchedulerProvider)Session[ProviderSessionKey];
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    
</head>
<body bgcolor="black">
    <form id="form1" runat="server">
    <telerik:RadScriptManager runat="server" />
    <script type="text/javascript" language="javascript">

        var lastArgs = null;
        var lastContext = null;
        var longTouchID = 0;
        var menuShown = false;

        function longTouch() {
            longTouchID = 0;
            menuShown = true;

            var scheduler = $find('RadScheduler1');
            var eventArgs = null;
            var target = null;

            if (lastContext.target.nodeName == 'TD') {
                target = scheduler._activeModel.getTimeSlotFromDomElement(lastContext.target);
                eventArgs = new Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs(target.get_startTime(), target.get_isAllDay(), lastContext, target);
                scheduler.raise_timeSlotContextMenu(eventArgs);
            } else {
                target = scheduler.getAppointmentFromDomElement(lastContext.target);
                eventArgs = new Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs(target, lastContext);
                scheduler.raise_appointmentContextMenu(eventArgs);
            }
        }

        function handleTouchStart (e) {
            lastContext = e;
            lastContext.target = e.originalTarget;
            lastContext.pageX = e.changedTouches[0].pageX;
            lastContext.pageY = e.changedTouches[0].pageY;
            lastContext.clientX = e.changedTouches[0].clientX;
            lastContext.clientY = e.changedTouches[0].clientY;
            longTouchID = setTimeout(longTouch, 1000);
        }

        function handleClick (e) {
            if (menuShown) {
                menuShown = false;
                document.body.removeEventListener('click', handleClick, true);
                e.stopPropagation();
                e.preventDefault();
            }
        }

        function handleTouchEnd (e) {
            if (longTouchID != 0)
                clearTimeout(longTouchID);

            if (menuShown) {
                document.body.addEventListener('click', handleClick, true);
                e.preventDefault();
            }
        }

        function pageLoad() {
            if ($telerik.isMobileSafari) {
                var scrollArea = $telerik.$('.rsContent', $get('RadScheduler1'))[0];
                scrollArea.addEventListener('touchstart', handleTouchStart, false);
                scrollArea.addEventListener('touchend', handleTouchEnd, false);
            }
        }
    </script>
    <div>

            <telerik:RadScheduler runat="server" ID="RadScheduler1" Skin="Sunset" EnableEmbeddedSkins="True"
                ShowFooter="true" SelectedDate="2009-02-02" DayStartTime="06:00:00" DayEndTime="23:30:00"
                OverflowBehavior="Expand" SelectedView="DayView" TimelineView-UserSelectable="false"
                FirstDayOfWeek="Monday" LastDayOfWeek="Sunday" Width="100%" DataSubjectField="AppointmentSubject"
                DataStartField="StartTime" DataEndField="EndTime" DataKeyField="AppointmentID" AllowDelete="true" AllowEdit="true"
                AllowInsert="true" ShowAllDayRow="false" HoursPanelTimeFormat="hh:mm tt" ProviderName="ReadOnlyXmlSchedulerProvider"
                NumberOfHoveredRows="1" MinutesPerRow="15" ShowFullTime="True" StartInFullTime="false"
                Style="z-index: 1;" DisplayDeleteConfirmation="false">
                <TimeSlotContextMenuSettings EnableDefault="true" />
                <AppointmentContextMenuSettings EnableDefault="true" />
                <AdvancedForm  Modal="true"  />
                <MonthView  HeaderDateFormat="MMMM yyyy" />
                <DayView  HeaderDateFormat="dddd d MMMM yyyy" />
                <TimelineView  UserSelectable="false"  />
                <WeekView  HeaderDateFormat="d MMMM yyyy" ColumnHeaderDateFormat="ddd d"  />
            </telerik:RadScheduler>

    </div>
    
    </form>
</body>
</html>
